All Classes Namespaces Functions Variables Groups Pages
OracleSqlUtil::OracleView Class Reference

represents an Oracle view More...

Inheritance diagram for OracleSqlUtil::OracleView:
[legend]

## Public Member Functions

| constructor (string n_name, string n_src, *string n_schema, *string n_type_text, *string n_oid_text, *string n_view_type_owner, *string n_view_type, *string n_superview_name, bool n_updatable, bool n_container_data)
| creates the object from the arguments
string | getCreateSql (*hash opt)
| returns a string that can be used to create the view in the database
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the view in the database More...

## Public Attributes

bool | container_data
| Indicates whether the view contains container-specific data.
*string | oid_text
| WITH OID clause of the typed view.
*string | superview_name
| Name of the superview.
*string | type_text
| Type clause of the typed view.
*string | view_type
| Type of the view if the view is a typed view.
*string | view_type_owner
| Owner of the type of the view if the view is a typed view.

## Detailed Description

represents an Oracle view

## Member Function Documentation

softlist OracleSqlUtil::OracleView::getRenameSql | ( | string | new_name,
|  | *hash | opt
| ) |  |

virtual

returns a string that can be used to rename the view in the database

The object is renamed in place with this call

Parameters

  new_name | the new name of the object
  opt | this option is ignored

Implements SqlUtil::AbstractView.